# Fast base16 support [![Hackage version](https://img.shields.io/hackage/v/base16-bytestring.svg?label=Hackage)](https://hackage.haskell.org/package/base16-bytestring) [![Stackage version](https://www.stackage.org/package/base16-bytestring/badge/lts?label=Stackage)](https://www.stackage.org/package/base16-bytestring) [![Build Status](https://secure.travis-ci.org/haskell/base16-bytestring.svg?branch=master)](http://travis-ci.org/haskell/base16-bytestring)

**Please refer to the [package description on Hackage](https://hackage.haskell.org/package/base16-bytestring#description) for more information.**

This package provides a Haskell library for working with base16-encoded
data quickly and efficiently, using the `ByteString` type.


# Performance

This library is written in pure Haskell, and it's fast:

* 250 MB/sec encoding

* 200 MB/sec strict decoding (per RFC 4648)

* 100 MB/sec lenient decoding


# Get involved!

Please report bugs via the
[GitHub issue tracker](http://github.com/haskell/base16-bytestring).

Master [Git repository](http://github.com/haskell/base16-bytestring):

* `git clone git://github.com/haskell/base16-bytestring.git`


# Authors

This library is written by [Bryan O'Sullivan](mailto:bos@serpentine.com). It
is maintained by [Emily Pillmore](mailto:emilypi@cohomolo.gy), [Herbert Valerio Riedel](mailto:hvr@gnu.org) and [Mikhail
Glushenkov](mailto:mikhail.glushenkov@gmail.com).
